# $Revision: 1.79.2.10 $, $Date: 2008-02-15 18:48:09 $
# Conditional build:
%bcond_without	ruby	# disable ruby
%bcond_with	java	# enable java

%define		_state	stable
%define		_minlibsevr	9:%{version}

%define		pdir	DCOP
Summary:	KDE bindings to non-C++ languages
Summary(pl.UTF-8):	Dowiązania KDE dla języków innych niż C++
Summary(pt_BR.UTF-8):	Bindings para KDE
Name:		kdebindings
Version:	3.5.9
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	ba780920f6b810a30a61b1ffa888706b
#Patch100: %{name}-branch.diff
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-ac.patch
Patch2:		kde-ac260-lt.patch
URL:		http://www.kde.org/
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	fam-devel
#BuildRequires:	gcc-objc
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.6
%{?with_java:BuildRequires:	jdk}
BuildRequires:	kdelibs-devel >= %{_minlibsevr}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
#BuildRequires:	mono-devel >= 0.16
BuildRequires:	perl-devel
BuildRequires:	perl-modules >= 1:5.8.0
#BuildRequires:	pnet >= 0.4.8
BuildRequires:	python-devel >= 1:2.1
%if %{with ruby}
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bindings for the K Desktop Environment: provide interfaces to many
diferent programming languages to use KDE native resources and
widgets.

%description -l pl.UTF-8
Dowiązania KDE/qt dla języków innych niż C++ pozwalające używać
natywnych dla KDE zasobów i widgetów.

%description -l pt_BR.UTF-8
Bindings para o K Desktop Environment: Provê interfaces para
diferentes linguagens de programação para uso da interface nativa do
KDE.

%package kalyptus
Summary:	Qt/KDE bindings generator
Summary(pl.UTF-8):	Generator dowiązań do Qt/KDE
Group:		X11/Development/Libraries
Requires:	kdelibs >= %{_minlibsevr}
Requires:	perl >= 5.6.1
Requires:	qt >= 6:3.3.3

%description kalyptus
Kalyptus creates language bindings for Qt and KDE C++ libraries
directly from the headers.

%description kalyptus -l pl.UTF-8
Kalyptus służy do generowania dowiązań do Qt/KDE bezpośrednio z plików
nagłówkowych.

# c bindings
%package c-dcop
Summary:	C bindings for DCOP
Summary(pl.UTF-8):	Dowiązania w języku C dla DCOP
Group:		X11/Development/Libraries
Requires:	gtk+ >= 1.2.6
Requires:	kdelibs >= %{_minlibsevr}
Requires:	libgcc
Obsoletes:	kdebindings-dcop-c

%description c-dcop
C bindings for the Desktop COmmunications Protocol used by KDE
applications to share information and communicate between each other.

%description c-dcop -l pl.UTF-8
Dowiązania języka C do Desktop COmmunications Protocol (DCOP)
używanego przez aplikacje KDE to wymiany informacji i komunikowania
się między sobą.

%package c-dcop-devel
Summary:	C bindings for DCOP [development files]
Summary(pl.UTF-8):	Dowiązania w języku C dla DCOP [nagłówki]
Group:		X11/Development/Libraries
Requires:	%{name}-c-dcop = %{version}-%{release}
Requires:	gtk+-devel >= 1.2.6
Requires:	kdelibs-devel >= %{_minlibsevr}
Obsoletes:	kdebindings-dcop-c-devel

%description c-dcop-devel
c-dcop header files.

%description c-dcop-devel -l pl.UTF-8
Pliki nagłówkowe dla c-dcop.

# java bindings
%package	java-dcop
Summary:	Java bindings for DCOP
Summary(pl.UTF-8):	Dowiązania języka Java dla DCOP
Group:		X11/Development/Libraries
Requires:	jdk
Requires:	kdelibs >= %{_minlibsevr}
Requires:	libart_lgpl
Requires:	qt >= 6:3.3.3
Obsoletes:	kdebindings-dcop-java

%description java-dcop
Java bindings for the Desktop COmmunications Protocol used by KDE
applications to share information and communicate between each other.

%description java-dcop -l pl.UTF-8
Dowiązania języka Java do Desktop COmmunications Protocol (DCOP)
używanego przez aplikacje KDE to wymiany informacji i komunikowania
się między sobą.

%package java-qt
Summary:	Java bindings for qt
Summary(pl.UTF-8):	Dowiązania języka Java dla qt
Group:		X11/Development/Libraries
Requires:	jdk
Requires:	qt >= 6:3.3.3
Obsoletes:	kdebindings-qt-java

%description java-qt
Java bindings for qt.

%description java-qt -l pl.UTF-8
Dowiązania języka Java dla qt.

%package java-kde
Summary:	Java bindings for KDE
Summary(pl.UTF-8):	Dowiązania języka Java dla KDE
Group:		X11/Development/Libraries
Requires:	%{name}-qt-java = %{version}-%{release}
Requires:	jdk
Requires:	kdelibs >= %{_minlibsevr}
Obsoletes:	kdebindings-kde-java

%description java-kde
Java bindings for KDE.

%description java-kde -l pl.UTF-8
Dowiązania języka Java dla KDE.

# javascript scripting for KDE applications

%package kjsembed
Summary:	A library for embedding the KJS JavaScript interpreter
Summary(pl.UTF-8):	Biblioteka pozwalająca na zagnieżdżanie interpretera KJS
Group:		X11/Development/Libraries
Requires:	kdelibs >= %{_minlibsevr}

%description kjsembed
A library for embedding the KJS JavaScript interpreter in application.

%description kjsembed -l pl.UTF-8
Biblioteka pozwalająca na zagnieżdżanie interpretera JavaScript - KJS,
w dowolnej aplikacji.

%package kjsembed-devel
Summary:	kjsembed header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla kjsembed
Group:		X11/Development/Libraries
Requires:	%{name}-kjsembed = %{version}-%{release}
Requires:	kdelibs-devel >= %{_minlibsevr}

%description kjsembed-devel
kjsembed header files.

%description kjsembed-devel -l pl.UTF-8
Pliki nagłówkowe dla kjsembed.

# mozilla kpart - not working

%package kmozilla
Summary:	Mozilla kpart
Summary(pl.UTF-8):	KPart mozilli
Group:		X11/Applications
Requires:	%{name}-xparts-kde = %{version}-%{release}
Requires:	kdelibs >= %{_minlibsevr}
Requires:	mozilla

%description kmozilla
This KPart allows using mozilla as a browser engine.

%description kmozilla -l pl.UTF-8
Kpart umożliwiający używanie mozilli jako silnika przeglądarki zamiast
khtml.

# perl bindings

%package perl-dcop
Summary:	Perl bindings for DCOP
Summary(pl.UTF-8):	Dowiązania języka Perl dla DCOP
Group:		X11/Development/Libraries
Requires:	kdelibs >= %{_minlibsevr}
Requires:	perl-modules >= 5.6.1
Requires:	qt >= 6:3.3.3
Obsoletes:	kdebindings-dcop-perl

%description perl-dcop
Perl bindings for the Desktop COmmunications Protocol used by KDE
applications to share information and communicate between each other.

%description perl-dcop -l pl.UTF-8
Dowiązania języka Perl do Desktop COmmunications Protocol (DCOP)
używanego przez aplikacje KDE to wymiany informacji i komunikowania
się między sobą.

# python bindings, only dcop as qt and kde ones are in py{Qt,KDE}.spec
%package python-dcop
Summary:	Python bindings for DCOP
Summary(pl.UTF-8):	Dowiązania języka Python dla DCOP
Group:		X11/Development/Libraries
# does it really need devel?
%pyrequires_eq	python-devel
Requires:	kdelibs >= %{_minlibsevr}
Requires:	qt >= 6:3.3.3
Obsoletes:	kdebindings-dcop-python

%description python-dcop
Python bindings for the Desktop COmmunications Protocol used by KDE
applications to share information and communicate between each other.

%description python-dcop -l pl.UTF-8
Dowiązania języka Python do Desktop COmmunications Protocol (DCOP)
używanego przez aplikacje KDE to wymiany informacji i komunikowania
się między sobą.

%package ruby-qt
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries
Requires:	qt >= 6:3.3.3
%{?ruby_mod_ver_requires_eq}
Requires:	%{name}-smoke-qt = %{version}-%{release}

%description ruby-qt
A Qt bindings for Ruby using the SMOKE technology.

%description ruby-qt -l pl.UTF-8
Dowiązania Qt dla Ruby przy użyciu technologii SMOKE.

%package ruby-kde
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries
Requires:	%{name}-ruby-qt = %{version}-%{release}
Requires:	%{name}-smoke-kde = %{version}-%{release}
Requires:	kdelibs >= %{_minlibsevr}
Requires:	qt >= 6:3.3.3

%description ruby-kde
A KDE bindings for Ruby using the SMOKE technology.

%description ruby-kde -l pl.UTF-8
Dowiązania KDE dla Ruby przy użyciu technologii SMOKE.

%package smoke-qt
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries
Requires:	qt >= 6:3.3.3

%description smoke-qt
SMOKE library (Scripting Meta Object Kompiler Engine) dla qt.

%description smoke-qt -l pl.UTF-8
Biblioteka SMOKE (Silnik kompilatora metaobiektów skryptowych) dla qt.

%package smoke-qt-devel
Summary:	smoke-qt header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla smoke-qt
Group:		X11/Development/Libraries
Requires:	%{name}-smoke-qt = %{version}-%{release}
Requires:	qt-devel >= 6:3.3.3

%description smoke-qt-devel
smoke-qt header files.

%description smoke-qt-devel -l pl.UTF-8
Pliki nagłówkowe dla smoke-qt.

%package smoke-kde
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries
Requires:	%{name}-smoke-qt = %{version}-%{release}
Requires:	kdelibs >= %{_minlibsevr}

%description smoke-kde
SMOKE library (Scripting Meta Object Kompiler Engine) dla KDE.

%description smoke-kde -l pl.UTF-8
Biblioteka SMOKE (Silnik kompilatora metaobiektów skryptowych) dla
KDE.

%package smoke-kde-devel
Summary:	smoke-qt header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla smoke-qt
Group:		X11/Development/Libraries
Requires:	%{name}-smoke-kde = %{version}-%{release}
Requires:	%{name}-smoke-qt-devel = %{version}-%{release}
Requires:	kdelibs-devel >= %{_minlibsevr}

%description smoke-kde-devel
smoke-kde header files.

%description smoke-kde-devel -l pl.UTF-8
Pliki nagłówkowe dla smoke-kde.

# xparts, don't work (dcopc doesn't work)

%package xparts-gtk
Summary:	XParts technology for gtk
Summary(pl.UTF-8):	Technologia XParts dla gtk
Group:		X11/Development/Libraries
Requires:	%{name}-c-dcop = %{version}-%{release}

%description xparts-gtk
XParts technology: GTK+ embedding.

%description xparts-gtk -l pl.UTF-8
Technologia XParts: zagnieżdżanie GTK+.

%package xparts-gtk-devel
Summary:	xparts-gtk header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla xparts-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-c-dcop-devel = %{version}-%{release}

%description xparts-gtk-devel
xparts-gtk header files.

%description xparts-gtk-devel -l pl.UTF-8
Pliki nagłówkowe dla xparts-gtk.

%package xparts-interfaces
Summary:	Common libraries for XParts technology
Summary(pl.UTF-8):	Współdzielone biblioteki dla technologii XParts
Group:		X11/Development/Libraries
Requires:	%{name}-xparts-kde = %{version}-%{release}

%description xparts-interfaces
Common libraries for XParts technology.

%description xparts-interfaces -l pl.UTF-8
Współdzielone biblioteki dla technologii XParts.

%package xparts-interfaces-devel
Summary:	xparts-interfaces header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla xparts-interfaces
Group:		X11/Development/Libraries
Requires:	%{name}-xparts-interfaces = %{version}-%{release}
Requires:	kdelibs-devel >= %{_minlibsevr}

%description xparts-interfaces-devel
xparts-interfaces header files.

%description xparts-interfaces-devel -l pl.UTF-8
Pliki nagłówkowe dla xparts-interfaces.

%package xparts-kde
Summary:	XParts technology for KDE
Summary(pl.UTF-8):	Technologia XParts dla KDE
Group:		X11/Development/Libraries
Requires:	kdelibs >= %{_minlibsevr}

%description xparts-kde
XParts technology: KDE embedding.

%description xparts-kde -l pl.UTF-8
Technologia XParts: osadzanie KDE.

%package xparts-notepad
Summary:	An example use of XParts technology: notepad
Summary(pl.UTF-8):	Przykładowe wykorzystanie technologii XParts: notatnik
Group:		X11/Development/Libraries
Requires:	%{name}-xparts-kde = %{version}-%{release}

%description xparts-notepad
An example use of XParts technology: notepad.

%description xparts-notepad -l pl.UTF-8
Przykładowe wykorzystanie technologii XParts: notatnik.

%prep
%setup -q
#%patch100 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1

# dont build pyQt and pyKDE since we build it from a separate spec
echo 'DO_NOT_COMPILE="$DO_NOT_COMPILE python"' > python/configure.in.in

%build
cp %{_datadir}/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with%{!?with_java:out}-java%{?with_java:=%{_libdir}/java} \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--with-extra-includes=%{py_incdir} \
	--with-pythondir=%{py_libdir} \
	--with-qt-libraries=%{_libdir}

cd kalyptus
%{__autoconf}
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-qt-libraries=%{_libdir}
cd ..

%{__make} -j1
%{__make} -C kalyptus -j1

%install
if [ ! -f makeinstall.stamp -o ! -d $RPM_BUILD_ROOT ]; then
	rm -rf makeinstall.stamp installed.stamp $RPM_BUILD_ROOT

	%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT \
		destdir=$RPM_BUILD_ROOT \
		kde_appsdir=%{_desktopdir} \
		kde_htmldir=%{_kdedocdir} \
		kde_libs_htmldir=%{_kdedocdir}

	%{__make} -C kalyptus install \
		DESTDIR=$RPM_BUILD_ROOT \
		destdir=$RPM_BUILD_ROOT \
		kde_appsdir=%{_desktopdir} \
		kde_htmldir=%{_kdedocdir} \
		kde_libs_htmldir=%{_kdedocdir}

	touch makeinstall.stamp
fi

if [ ! -f installed.stamp ]; then
	rm -f $RPM_BUILD_ROOT%{py_sitedir}/pcop.la \
		$RPM_BUILD_ROOT%{ruby_sitearchdir}/*.la
	rm -f $RPM_BUILD_ROOT%{ruby_sitearchdir}/qtruby.so
	rm -f $RPM_BUILD_ROOT%{ruby_sitearchdir}/qui.so
	rm -f $RPM_BUILD_ROOT%{ruby_sitearchdir}/korundum.so

	install -d $RPM_BUILD_ROOT%{py_sitedir}
	mv $RPM_BUILD_ROOT%{py_sitescriptdir}/pcop.{so,la} $RPM_BUILD_ROOT%{py_sitedir}
	install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
	mv $RPM_BUILD_ROOT{%{py_scriptdir},%{py_sitescriptdir}}/pydcop.py
	%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
	%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
	%py_postclean

	mv -f $RPM_BUILD_ROOT%{_desktopdir}/{Utilities,kde}/embedjs.desktop
	rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la

	touch installed.stamp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post	kjsembed -p /sbin/ldconfig
%postun	kjsembed -p /sbin/ldconfig

%post	smoke-qt -p /sbin/ldconfig
%postun	smoke-qt -p /sbin/ldconfig

%post	smoke-kde -p /sbin/ldconfig
%postun	smoke-kde -p /sbin/ldconfig

%post	java-qt -p /sbin/ldconfig
%postun	java-qt -p /sbin/ldconfig

# Javascript scripting for KDE applications

%files kjsembed
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jsaccess
%attr(755,root,root) %{_bindir}/embedjs
%attr(755,root,root) %{_bindir}/kjscmd
%attr(755,root,root) %{_libdir}/libkjsembed.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkjsembed.so.1
%attr(755,root,root) %{_libdir}/kde3/libcustomobjectplugin.so
%attr(755,root,root) %{_libdir}/kde3/libcustomqobjectplugin.so
%attr(755,root,root) %{_libdir}/kde3/libimagefxplugin.so
%attr(755,root,root) %{_libdir}/kde3/libjsconsoleplugin.so
%attr(755,root,root) %{_libdir}/kde3/libqprocessplugin.so
%attr(755,root,root) %{_libdir}/kde3/libjavascript.so
%attr(755,root,root) %{_libdir}/kde3/libfileitemplugin.so
%{_desktopdir}/kde/kjscmd.desktop
%dir %{_datadir}/apps/kjsembed
%{_datadir}/apps/kjsembed/cmdline.js
%{_datadir}/apps/embedjs
%{_datadir}/apps/kate/scripts/swaptabs*
%{_datadir}/services/customobject_plugin.desktop
%{_datadir}/services/customqobject_plugin.desktop
%{_datadir}/services/imagefx_plugin.desktop
%{_datadir}/services/qprocess_plugin.desktop
%{_datadir}/services/javascript.desktop
%{_datadir}/services/kfileitem_plugin.desktop
%{_datadir}/servicetypes/binding_type.desktop
%{_mandir}/man1/kjscmd.1*
%{_iconsdir}/*/*/apps/embedjs.png
%{_desktopdir}/kde/embedjs.desktop

%files kjsembed-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkjsembed.so
%{_libdir}/libkjsembed.la
%{_includedir}/kjsembed

# python bindings for dcop, others won't be built
%files python-dcop
%defattr(644,root,root,755)
%{py_sitescriptdir}/pydcop.py[co]
%{py_sitedir}/pcop.la
%attr(755,root,root) %{py_sitedir}/pcop.so

# C bindings for qt and kde using the smoke technology
%files smoke-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmokeqt.so.1.2.2
%attr(755,root,root) %ghost %{_libdir}/libsmokeqt.so.1

%files smoke-qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmokeqt.so
%{_libdir}/libsmokeqt.la
%{_includedir}/smoke.h

%files smoke-kde
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmokekde.so.1.2.2
%attr(755,root,root) %ghost %{_libdir}/libsmokekde.so.1

%files smoke-kde-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*smokekde.so
%{_libdir}/*smokekde.la
%{_includedir}/smoke.h

%if %{with ruby}
# ruby bindings

%files ruby-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qtrubyinit
%attr(755,root,root) %{_bindir}/rbqtapi
%attr(755,root,root) %{_bindir}/rbqtsh
%attr(755,root,root) %{_bindir}/rbuic
%{ruby_sitelibdir}/Qt.rb
%dir %{ruby_sitelibdir}/Qt
%{ruby_sitelibdir}/Qt/qtruby.rb
%attr(755,root,root) %{ruby_sitearchdir}/qtruby.so.*.*.*
%attr(755,root,root) %ghost %{ruby_sitearchdir}/qtruby.so.0
%attr(755,root,root) %{ruby_sitearchdir}/qui.so.*.*.*
%attr(755,root,root) %ghost %{ruby_sitearchdir}/qui.so.0

%files ruby-kde
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krubyinit
%attr(755,root,root) %{_bindir}/rbkconfig_compiler
%attr(755,root,root) %{_bindir}/rbkdeapi
%attr(755,root,root) %{_bindir}/rbkdesh
%{ruby_sitelibdir}/Korundum.rb
%dir %{ruby_sitelibdir}/KDE
%{ruby_sitelibdir}/KDE/korundum.rb
%attr(755,root,root) %{ruby_sitearchdir}/korundum.so.*.*.*
%attr(755,root,root) %ghost %{ruby_sitearchdir}/korundum.so.0
%endif

# java bindings

%if %{with java}

#%files java-dcop
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/dcopidl2java
#%%{_libdir}/libdcopc.la
#%attr(755,root,root) %{_libdir}/libjavadcop.so
#%%{_libdir}/java/org/kde/DCOP/*.class

%files java-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/javalib
# DONT package it, using %doc on those files instead
#%{_prefix}/doc/javalib
%attr(755,root,root) %{_libdir}/*qtjava*.so.1.0.0
%attr(755,root,root) %{_libdir}/*qtjava*.so
%{_libdir}/*qtjava*.la
%{_libdir}/java/qtjava.jar
%doc qtjava/javalib/docs/en/*.html
%doc qtjava/javalib/docs/en/*.sgml

%files java-kde
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/koala
%attr(755,root,root) %{_libdir}/*kdejava.so.1.0.0
%attr(755,root,root) %{_libdir}/*kdejava.so
%{_libdir}/*kdejava.la
%{_libdir}/java/koala.jar
%endif

# perl bindings
%files perl-dcop
%defattr(644,root,root,755)
%{perl_vendorarch}/DCOP.pm
%dir %{perl_vendorarch}/DCOP
%{perl_vendorarch}/DCOP/Object.pm
%dir %{perl_vendorarch}/auto/DCOP
%{perl_vendorarch}/auto/DCOP/DCOP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DCOP/DCOP.so
%{_mandir}/man3/DCOP.3pm*

# C bindings

#files c-dcop
#defattr(644,root,root,755)
#attr(755,root,root) %{_libdir}/libdcopc.so.1.0.0

#files c-dcop-devel
#defattr(644,root,root,755)
#{_includedir}/dcopc
#{_libdir}/libdcopc.la
#attr(755,root,root) %{_libdir}/libdcopc.so

# kalyptus
%files kalyptus
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kalyptus
%{_datadir}/kalyptus

# mozilla embedding
#%ifnarch ia64
#%files kmozilla
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/kmozilla
#%{_libdir}/libkmozillapart.la
#%attr(755,root,root) %{_libdir}/libkmozillapart.so*
#%{_datadir}/services/kmozilla.desktop
#%endif

# xparts

##%files xparts-gtk
##%defattr(644,root,root,755)
##%{_libdir}/*gtkxparts.la
##%attr(755,root,root) %{_libdir}/*gtkxparts.so.0.0.0

##%files xparts-gtk-devel
##%defattr(644,root,root,755)
##%{_includedir}/xkparts/gtk*.h
##%attr(755,root,root) %{_libdir}/*gtkxparts.so

##%files xparts-interfaces
##%defattr(644,root,root,755)
##%attr(755,root,root) %{_bindir}/shell_xparthost

##%files xparts-interfaces-devel
##%defattr(644,root,root,755)
##%{_includedir}/xkparts/xpart*.h

##%files xparts-kde
##%defattr(644,root,root,755)
##%{_libdir}/*kdexparts.la
##%attr(755,root,root) %{_libdir}/*kdexparts.so*

##%files xparts-notepad
##%defattr(644,root,root,755)
##%attr(755,root,root) %{_bindir}/xp_notepad
##%{_libdir}/*notepadpart.la
##%attr(755,root,root) %{_libdir}/*notepadpart.so*
#%{_datadir}/services/*notepad.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdebindings.spec,v $
Revision 1.79.2.10  2008-02-15 18:48:09  glen
- KDE 3.5.9

Revision 1.79.2.9  2008-02-14 23:23:24  glen
- merge with HEAD

Revision 1.79.2.8  2008-02-14 23:22:39  glen
- convert to utf8

Revision 1.79.2.7  2007/10/16 21:32:46  glen
- KDE 3.5.8

Revision 1.79.2.6  2007/05/28 10:22:32  glen
- actually builds on ac builders

Revision 1.79.2.5  2007/05/23 22:15:00  glen
- KDE 3.5.7, but build fails

Revision 1.79.2.4  2007/01/28 22:12:56  glen
- rel 1

Revision 1.79.2.3  2007/01/28 21:47:21  glen
- builds if old kde removed from system

Revision 1.79.2.2  2007/01/24 19:31:08  glen
- python patch not neccessary

Revision 1.79.2.1  2007/01/24 19:30:39  glen
- KDE 3.5.6, but blocking bug 140346

Revision 1.79  2006/11/03 18:07:26  glen
- hacked python packaging

Revision 1.78  2006/11/03 17:04:56  glen
- blocker todo

Revision 1.77  2006/11/03 11:06:56  glen
- rel 1

Revision 1.76  2006/10/15 12:59:21  glen
- merge from AC-branch

Revision 1.75  2006/10/11 07:11:10  arekm
- add kde-ac260-lt.patch

Revision 1.74  2006/10/07 10:45:04  qboosh
- xorg-*-devel already required by kdelibs-devel

Revision 1.73  2006/08/22 12:55:46  glen
- KDE 3.5.4

Revision 1.72  2006/05/25 21:20:17  glen
- dies mystically with jobserver > 1

Revision 1.71  2006/05/25 20:50:46  arekm
- up to 3.5.3

Revision 1.70  2006/04/02 02:04:37  glen
- merge changes from AC-branch

Revision 1.69  2006/04/02 02:01:55  glen
- adapter

Revision 1.68  2006/04/01 18:07:46  arekm
- up to 3.5.2

Revision 1.67  2006/03/15 08:08:04  czarny
- BR: xorg-lib-libXt-devel
- BR: xorg-lib-libXmu-devel
- only some things I've found while bulding it on th

Revision 1.66  2006/01/22 20:16:38  arekm
- up to 3.5.1

Revision 1.65  2005/12/31 10:36:32  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.64  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.63  2005/12/27 09:02:54  twittner
- fix previous commit - script is a bit to aggressive

Revision 1.62  2005/12/27 08:54:07  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.61  2005/12/02 15:39:45  qboosh
- fix invalid embedjs.desktop location

Revision 1.60  2005/11/25 17:51:19  arekm
- rel 1

Revision 1.59  2005/10/10 18:54:39  arekm
- rel 1

Revision 1.58  2005/10/07 19:27:29  arekm
- up to 3.4.3

Revision 1.57  2005/07/25 22:11:41  arekm
- up to 3.4.2

Revision 1.56  2005/06/01 06:09:08  arekm
- rel 1

Revision 1.55  2005/05/26 14:35:33  arekm
- up to 3.4.1

Revision 1.54  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.53  2005/04/24 21:52:31  arekm
- rel 2

Revision 1.52  2005/04/24 21:29:25  arekm
- typo

Revision 1.51  2005/04/24 21:24:28  arekm
- disable ruby on amd64

Revision 1.50  2005/04/24 20:45:33  arekm
- testing amd64 fixes

Revision 1.49  2005/03/27 18:47:38  arekm
- rel 1

Revision 1.48  2005/03/27 18:46:57  arekm
- up to 3.4.0

Revision 1.47  2005/01/10 20:07:25  saq
- introducing lib64.patch, rel 7

Revision 1.46  2005/01/09 22:36:49  saq
- python24.patch for (surprise) python 2.4 support
- release 6

Revision 1.45  2005/01/09 18:08:44  saq
- missing pyreqeq, rel 5

Revision 1.44  2004/11/04 13:10:53  paladine
- spaces->tabs
- cosmetics

Revision 1.43  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.42  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.41  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.40  2004/09/02 14:52:05  djurban
- fix the stupidest mistake i could have made, also release4, will be bumpin' bumpin' probably again now to amd64/test

Revision 1.39  2004/09/02 14:11:01  djurban
- rel. 3 ac after fixing -LNONE

Revision 1.38  2004/08/30 14:15:24  djurban
- rel. 2, PLD - because system is more important than logic

Revision 1.37  2004/08/30 12:53:01  djurban
- remove python-src-devel br for teh copy.py check was rtemoved by patch

Revision 1.36  2004/08/30 12:45:03  djurban
- build on biustonosz, i wonder if i can send it to ac wihtout changing the rel

Revision 1.35  2004/08/27 17:33:27  qboosh
- missing ldconfig post/postuns
- fixed python/perl dirs in files (build or install fix may be needed)
- unifications

Revision 1.34  2004/08/27 16:48:58  djurban
- removed obsolete patches

Revision 1.33  2004/08/27 15:41:37  djurban
- add *.so symlinks

Revision 1.32  2004/08/27 13:44:23  djurban
- adapterized, bumped qt req

Revision 1.31  2004/08/27 13:40:31  djurban
- updated to 3.3.0
- reorganized packages per language not per module
- commented out {c,java}-dcop as they are possibly broken
- qtc qtobjc kdec kdeobjc removed in kde cvs
- removed qtsharp as it is seriously broken after qtc removal
- java disabled by default since havner failed to make sure ac has java

Revision 1.30  2004/04/21 19:11:22  arekm
- 3.2.2 md5sum

Revision 1.29  2004/02/04 22:34:52  qboosh
- new-style bcond, more strict deps, typos etc.

Revision 1.28  2004/02/04 16:01:53  djurban
- the storm is coming
- begin work on 3.2.0, source0 updated, checking reqs
- no i18n here, but it still is the worst spec to do

Revision 1.27  2003/11/14 16:33:02  havner
- prefix changed to /usr
- rel up

Revision 1.26  2003/11/11 16:50:08  qboosh
- removed alsa stuff - no such option (working is determined by kdelibs)

Revision 1.25  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.24  2003/10/03 17:37:59  ankry
- 3.1.4

Revision 1.23  2003/08/11 22:46:32  ankry
- cosmetics

Revision 1.22  2003/05/28 12:59:18  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:49:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/22 09:57:07  qrczak
- Fix commenting out rpm macros. But Later it doesn't build anyway...

Revision 1.19  2003/03/17 19:31:17  djurban
- nb->no transition

Revision 1.18  2003/02/28 10:07:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.17  2003/02/22 21:02:18  djurban
- compiles
- so what?
- kmozilla still dont work

Revision 1.16  2003/02/21 15:29:59  djurban
NFY!!!!!

Revision 1.15  2003/02/13 15:58:34  qboosh
- typos, cosmetics, commented out two evil files entries with docs

Revision 1.14  2003/02/10 20:52:38  misiek
- merged from DEVEL

Revision 1.10.2.6  2002/12/05 18:23:26  djurban
- Rel 1
- Completed.

Revision 1.10.2.5  2002/12/05 00:26:08  djurban
- Rel 0.6
- Finished, but not adapterized (lacks tabs and stuff)
- I am sure that some senior developers might want to correct this, there fore rel is not 1 although it is rel1 quality

Revision 1.10.2.4  2002/12/02 10:38:39  djurban
- Rel 0.5
- NFY
- Added destdir patch
- %install works

Revision 1.10.2.3  2002/12/02 00:37:21  djurban
- Release 0.4
- More subpackages
- %files section not done
- NFY
- Some lines of the spec are to be commented
  (they are here now because of debug time)

Revision 1.10.2.2  2002/11/16 23:54:43  djurban
- Added Requirements
- Added patches
- Still needs more subpackages, but compiles now (I hope)
- Rel. 0.3
- NFY

Revision 1.10.2.1  2002/11/08 23:38:48  adgor
- Updated to 3.0.98 (kde-3.1-rc2)
- Release 0.1 (doesn't build)

Revision 1.10  2002/08/28 19:31:11  kloczek
- release 1.

Revision 1.9  2002/08/28 19:21:56  ankry
- fix version and release

Revision 1.8  2002/08/28 14:25:06  kloczek
- merge 3.0.3 from DEVEL branch.
